如何在IntelliJ中使用Gradle设置Amazon Polly SDK

2019年3月3日 35点热度 0条评论

我正在尝试通过遵循this在IntelliJ中使用Gradle设置AWS Polly Java SDK。我已经使用spring intializr创建了一个简单的Spring Boot应用程序,因此我将教程中指定的项目添加到了build.gradle文件中。尝试导入时

import com.amazonaws.services.polly.AmazonPollyClient

IntelliJ无法解析名称
polly

这是我的完整
build.gradle文件

buildscript {
    ext {
        springBootVersion = '2.0.4.RELEASE'
    }
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath("org.springframework.boot:spring-boot-gradle-plugin:${springBootVersion}")
        classpath "io.spring.gradle:dependency-management-plugin:1.0.3.RELEASE"
    }
}

apply plugin: 'java'
apply plugin: 'eclipse'
apply plugin: 'org.springframework.boot'
apply plugin: 'io.spring.dependency-management'

group = 'io.ai.vivid'
version = '0.0.1-SNAPSHOT'
sourceCompatibility = 1.8

repositories {
    mavenCentral()
}

dependencyManagement {
    imports {
        mavenBom 'com.amazonaws:aws-java-sdk-bom:1.11.228'
    }
}

dependencies {
    compile('org.springframework.boot:spring-boot-starter')
    testCompile('org.springframework.boot:spring-boot-starter-test')
    compile 'com.amazonaws:aws-java-sdk-s3'
    testCompile group: 'junit', name: 'junit', version: '4.11'
}

另外,IntelliJ抱怨它无法解析我的
manvenBom中的名称
build.gradle。我已经尝试过SO解决方案,例如使缓存无效/重新启动,但无法解决问题。

解决方案如下:

我使用了build.gradle文件来复制问题,并在对AmazonPollyClient进行了以下更改后能够导入dependencies

dependencies {
compile 'com.amazonaws:aws-java-sdk-s3'
compile group: 'com.amazonaws', name: 'aws-java-sdk-polly', version: '1.11.67'

Gradle版本使用4.8